## opennebula 2.0.1

=== SConstruct ===
# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
import sys
import shutil
sys.path.append("./share/scons")
from lex_bison import *

# This is the absolute path where the project is located
cwd=os.getcwd()

# Environment that will be applied to each scons child
main_env=Environment()
main_env['ENV']['PATH']=os.environ['PATH']

# snippet borrowed from http://dev.gentoo.org/~vapier/scons-blows.txt
# makes scons aware of build related environment variables
if os.environ.has_key('CC'):
    main_env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
    main_env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
    main_env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
    main_env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
    main_env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])

# Add builders for flex and bison
add_lex(main_env)
add_bison(main_env)

# Include dirs
main_env.Append(CPPPATH=[
    cwd+'/include',
])

# Library dirs
main_env.Append(LIBPATH=[
    cwd+'/src/common',
    cwd+'/src/log',
    cwd+'/src/sql',
    cwd+'/src/host',
    cwd+'/src/mad',
    cwd+'/src/nebula',
    cwd+'/src/pool',
    cwd+'/src/template',
    cwd+'/src/vm',
    cwd+'/src/vmm',
    cwd+'/src/lcm',
    cwd+'/src/tm',
    cwd+'/src/dm',
    cwd+'/src/im',
    cwd+'/src/image',
    cwd+'/src/rm',
    cwd+'/src/vnm',
    cwd+'/src/hm',
    cwd+'/src/um',
    cwd+'/src/authm',
])

# Compile flags
main_env.Append(CPPFLAGS=[
    "-g",
    "-Wall"
])

# Linking flags
main_env.Append(LINKFLAGS=['-g', '-pthread'])

#######################
# EXTRA CONFIGURATION #
#######################

# SQLITE
sqlite_dir=ARGUMENTS.get('sqlite_dir', 'none')
if sqlite_dir!='none':
    main_env.Append(LIBPATH=[sqlite_dir+"/lib"])
    main_env.Append(CPPPATH=[sqlite_dir+"/include"])

sqlite=ARGUMENTS.get('sqlite', 'yes')
if sqlite=='yes':
    main_env.Append(sqlite='yes')
    main_env.Append(CPPFLAGS=["-DSQLITE_DB"])
else:
    main_env.Append(sqlite='no')

# MySQL
mysql=ARGUMENTS.get('mysql', 'no')
if mysql=='yes':
    main_env.Append(mysql='yes')
    main_env.Append(CPPFLAGS=["-DMYSQL_DB"])
else:
    main_env.Append(mysql='no')


# xmlrpc
xmlrpc_dir=ARGUMENTS.get('xmlrpc', 'none')
if xmlrpc_dir!='none':
    main_env.Append(LIBPATH=[xmlrpc_dir+"/lib"])
    main_env.Append(CPPPATH=[xmlrpc_dir+"/include"])

# build lex/bison
build_parsers=ARGUMENTS.get('parsers', 'no')
if build_parsers=='yes':
    main_env.Append(parsers='yes')
else:
    main_env.Append(parsers='no')

if not main_env.GetOption('clean'):
    try:
        main_env.ParseConfig('share/scons/get_xmlrpc_config server')
        main_env.ParseConfig('share/scons/get_xmlrpc_config client')

        if mysql=='yes':
            main_env.ParseConfig('mysql_config --cflags --libs')

    except Exception, e:
        print ""
        print "Error searching for xmlrpc-c libraries. Please check this"+\
            " things:"
        print ""
        print " * You have installed development libraries for xmlrpc-c. One"+\
            " way to check"
        print "   this is calling xmlrpc-c-config that is provided with the"+\
            " development"
        print "   package."
        print " * Check that the version of xmlrpc-c is at least 1.06. You"+\
            " can do this also"
        print "   calling:"
        print "   $ xmlrpc-c-config --version"
        print " * If all this requirements are already met please send log"+\
            " files located in"
        print "   .xmlrpc_test to the mailing list."
        print ""
        exit(-1)
else:
    main_env.Replace(mysql='yes')
    shutil.rmtree('.xmlrpc_test', True)
    shutil.rmtree('src/nebula/.xmlrpc_test', True)
    shutil.rmtree('src/scheduler/.xmlrpc_test', True)


# libxml2
main_env.ParseConfig('xml2-config --libs --cflags')


# SCONS scripts to build
build_scripts=[
    'src/sql/SConstruct',
    'src/log/SConstruct',
    'src/common/SConstruct',
    'src/template/SConstruct',
    'src/host/SConstruct',
    'src/mad/SConstruct',
    'src/nebula/SConstruct',
    'src/pool/SConstruct',
    'src/vm/SConstruct',
    'src/vmm/SConstruct',
    'src/lcm/SConstruct',
    'src/rm/SConstruct',
    'src/tm/SConstruct',
    'src/im/SConstruct',
    'src/image/SConstruct',
    'src/dm/SConstruct',
    'src/scheduler/SConstruct',
    'src/vnm/SConstruct',
    'src/hm/SConstruct',
    'src/um/SConstruct',
    'src/authm/SConstruct',
]

for script in build_scripts:
    env=main_env.Clone()
    SConscript(script, exports='env')

=== src/authm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_authm'

# Sources to generate the library
source_files=[
    'AuthManager.cc',
    'AuthManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/common/SConstruct ===
# SConstruct for src/common

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_common'

# Sources to generate the library
source_files=[
    'ActionManager.cc',
    'Attribute.cc',
    'mem_collector.c'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/dm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_dm'

# Sources to generate the library
source_files=[
    'DispatchManager.cc',
    'DispatchManagerActions.cc',
    'DispatchManagerStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/hm/SConstruct ===
# SConstruct for src/hm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_hm'

# Sources to generate the library
source_files=[
    'HookManager.cc',
    'HookManagerDriver.cc'
]

test_names=[]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/host/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_host'

# Sources to generate the library
source_files=[
    'Host.cc',
    'HostShare.cc',
    'HostPool.cc',
    'ClusterPool.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/im/SConstruct ===
# SConstruct for src/im

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_im'

# Sources to generate the library
source_files=[
    'InformationManager.cc',
    'InformationManagerDriver.cc'
]

test_names=[]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/image/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_image'

# Sources to generate the library
source_files=[
    'Image.cc',
    'ImagePool.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/lcm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_lcm'

# Sources to generate the library
source_files=[
    'LifeCycleManager.cc',
    'LifeCycleActions.cc',
    'LifeCycleStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/log/SConstruct ===
# SConstruct for src/log

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_log'

# Sources to generate the library
source_files=[
    'NebulaLog.cc',
    'Log.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/mad/SConstruct ===
# SConstruct for src/mad

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_mad'

# Sources to generate the library
source_files=[
    'Mad.cc',
    'MadManager.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/nebula/SConstruct ===
# SConstruct for src/nebula

# -------------------------------------------------------------------------- #
# Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_core'

# Sources to generate the library
source_files=[
    'Nebula.cc',
    'NebulaTemplate.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

# Build daemon
env.Append(LIBS=[
    'nebula_core',
    'nebula_vmm',
    'nebula_lcm',
    'nebula_im',
    'nebula_hm',
    'nebula_rm',
    'nebula_dm',
    'nebula_tm',
    'nebula_um',
    'nebula_authm',
    'nebula_mad',
    'nebula_template',
    'nebula_image',
    'nebula_pool',
    'nebula_host',
    'nebula_vnm',
    'nebula_vm',
    'nebula_common',
    'nebula_sql',
    'nebula_log',
    'crypto'
])

# Sources to generate the library
if env['sqlite']=='yes':
    env.Append(LIBS=['sqlite3'])

if env['mysql']=='yes':
    env.Append(LIBS=['mysqlclient'])


if not env.GetOption('clean'):
    env.ParseConfig('../../share/scons/get_xmlrpc_config server')

env.Program('oned.cc')

=== debian/changelog ===
opennebula (2.0.1-6~bpo60+1) squeeze-backports; urgency=low

  * Squeeze backport. 
  * d/control: Build-Depends on libxmlrpc-c3-dev instead of libxmlrpc-c++4-dev.

 -- Łukasz Oles <lukaszoles@gmail.com>  Fri, 15 Apr 2011 00:42:12 +0200

opennebula (2.0.1-6) unstable; urgency=low

  * xmlrpc-c 1.16 transition:
    - d/control: Build-Depends on libxmlrpc-c++4-dev instead of
      libxmlrpc-c3-dev.
    - d/rules: Drop --no-as-needed from DEB_LDFLAGS_APPEND.
      LP: #690779.
  * d/copyright: Upgrade to latest DEP-5 format.
  * d/patches/ldflags_build.diff: Refreshed.
  * d/patches/linking.diff: Explicit linking with libxml2 (ie. reorder LIBS).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 20 Feb 2011 17:55:44 +0100

opennebula (2.0.1-5) unstable; urgency=low

  * d/patches/ldflags_build.diff: Proposed patch from Jaime Melis to allow
    LDFLAGS setting in OpenNebula build process. Will be included in next
    upstream release.
  * d/rules: Use dpkg-buildflags to get LDFLAGS.
    Set DEB_LDFLAGS_APPEND=-Wl,--no-as-needed to fix build with
    no-add-needed linker changes.
  * d/patches/fortify-source.diff: Fix FTBFS when build with
    -D_FORTIFY_SOURCE=2 flag.
  * d/rules: Remove d/opennebula-node.postinst in clean target.
  * d/opennebula-node.postinst.in: opennebula-node on node without libvirt
    but with xen-utils was failing as group `libvirt' does not exist.
    Thanks to Łukasz Oleś for report and patch.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 30 Dec 2010 02:33:32 +0100

opennebula (2.0.1-4) unstable; urgency=low

  * d/opennebula{-node,}.{postint,postrm}: Fix puiparts failure in postrm.
    We cannot rely on adduser being present at package purge time.
    General cleanup of maintainer scripts.
  * d/opennebula-common.postrm: Don't delete user opennebula
    (keep uid/gid permanently) but disable it.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 07 Dec 2010 00:25:50 +0100

opennebula (2.0.1-3) unstable; urgency=low

  * d/control: move Depends on openssh-client from opennebula to
    opennebula-common (for ssh-keygen). Closes: #605110.
  * Using dpkg-statoverride instead of chown for postinst.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 05 Dec 2010 18:05:37 +0100

opennebula (2.0.1-2) unstable; urgency=low

  * d/rules: Fix FTBFS (Closes: #605042) by using dh_listpackages to detect if
    arch all packages (ie. opennebula-node) debhelper commands will act on.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Nov 2010 20:15:09 +0100

opennebula (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * d/rules: Use share/etc/init.d/one.debian as init.d script.
  * Refresh all patches.
  * d/{control, rules}: Allow users of cloud group to launch xm & xmtop
    from xen-utils-common (Closes: #604567):
    - Depends on libvirt-bin | xen-utils-4.0
    - Bump dependencies on sudo to (>= 1.7.2p1) for /etc/sudoers.d feature.
    - Install /etc/sudoers.d/opennebula-node (in opennebula-node package).
  * d/opennebula.install: Install /var/lib/one/remotes
  * d/control: Set Maintainer as Debian OpenNebula Maintainers
    and myself as Uploaders.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Nov 2010 01:52:15 +0100

opennebula (2.0-1) experimental; urgency=low

  * First upload to Debian (Closes: #500716):
    - Drop d/patches/fix_cppflags.diff: Merged upstream.
    - Drop d/*.examples: Already handled by upstream install.sh
  * New upstream release (2.0).
  * d/control: Add Recommends: lvm2, sudo, wget, genisoimage.
    - d/patches/genisoimage.diff: Use genisoimage instead of mkisofs.
  * d/rules, d/opennebula-node.postinst.in: Handle group assignment for
    oneadmin user, libvirt (Debian) and libvirtd (Ubuntu).
  * d/opennebula.{postinst,dirs}: creation of /var/lib/one/images with
    proper permissions.
  * d/control: Suggests libamazonec2-ruby for Amazon EC2 access.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 02 Nov 2010 19:01:04 +0100

opennebula (2.0~rc1-1) UNRELEASED; urgency=low

  * New upstream release (2.0 RC1).
  * Add d/opennebula.README and d/opennebula-node.README as simple
    startup how-to.
  * d/rules: Fix perms for non-executables files.
  * d/opennebula.init: Handle creation of /var/lock.
  * d/patches/default_conf.diff: Switch to tm_ssh as default Transport Manager.
  * d/control: Add Jaime Melis <j.melis@fdi.ucm.es> as Uploader.
  * Disable SSH keys distribution functionality (too much unstable for now):
    - d/patches/series: disable patch.
    - d/rules: Don't chmod shell script.
    - d/opennebula.cron.hourly is disabled.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 18 Oct 2010 20:15:11 +0200

opennebula (2.0~beta1-1) UNRELEASED; urgency=low

  * New upstream release (2.0 beta1):
    - shlib_links.diff: disabled.
    - refreshed other patches.
    - add B-D on libxml2-dev and libxslt1-dev
  * Drop libopennebula1 and libopennebula-dev packages
    (not provided by upstream for this release as OCA binding are preferred)
  * Add Java OCA bindings in libopennebula-java package
    - B-D on libws-commons-util-java, libxmlrpc3-common-java,
      libxmlrpc3-client-java, javahelper, default-jdk
  * Add Java OCA bindings javadoc to libopennebula-java-doc package
  * Enable mysql support:
    - B-D on libmysql++-dev
    - Recommends libmysql-ruby
    - Suggests mysql-server
  * Add "libvirt" and "cloud" group to oneadmin user in postinst.
  * Depends on libsequel-ruby for oneauth (DB access).
  * Rebuild parser/lexer during build:
    - B-D on flex and bison
    - add "parser=yes" option to scons
  * Harden cron.hourly: don't do anything if onehost binary is uninstalled.
  * Set myself as Maintainer and Soren Hansen as Uploaders
  * Install bash completion feature for one* CLI.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 20 Aug 2010 00:50:13 +0200

opennebula (1.4.0-1) UNRELEASED; urgency=low

  * New upstream release (LP: #510904):
    - freecpu_kvm.diff: merged.


=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: Debian OpenNebula Maintainers <pkg-opennebula-devel@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
 Soren Hansen <soren@ubuntu.com>, Jaime Melis <j.melis@fdi.ucm.es>
Build-Depends: debhelper (>= 7.0.50~), scons, libxmlrpc-c3-dev, ruby,
 libsqlite3-dev, libssl-dev, libmysql++-dev, libxml2-dev,
 libxslt1-dev, flex, bison,
 libws-commons-util-java, libxmlrpc3-common-java, libxmlrpc3-client-java,
 default-jdk, javahelper (>= 0.32), bash-completion
Standards-Version: 3.9.1
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby,
 rubygems, libpassword-ruby, libsequel-ruby,
 opennebula-common (= ${source:Version})
Recommends: libsqlite3-ruby, libmysql-ruby
Suggests: mysql-server, libamazonec2-ruby
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources. 
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-common
Architecture: all
Depends: ${misc:Depends}, adduser, openssh-client
Recommends: lvm2, sudo (>= 1.7.2p1), wget, genisoimage
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources. 
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: ${misc:Depends}, adduser, libvirt-bin | xen-utils-4.0, ruby,
 opennebula-common (= ${source:Version})
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources. 
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
else
	LIB_VIRT_GROUP = libvirt
endif

LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) 
export LDFLAGS

%:
	dh $@ --with javahelper --with bash-completion

override_dh_auto_build:
	scons mysql=yes #parsers=yes
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	dh_install -p opennebula-node debian/opennebula-node.sudoers /etc/sudoers.d
	mv debian/opennebula-node/etc/sudoers.d/opennebula-node.sudoers \
	   debian/opennebula-node/etc/sudoers.d/opennebula-node
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/etc/init.d/one.debian /etc/init.d
	mv debian/opennebula/etc/init.d/one.debian \
	   debian/opennebula/etc/init.d/opennebula
	dh_installinit -p opennebula --name=opennebula --onlyscripts
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/occi/*.rb
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/CloudServer.rb
	chmod 755 debian/opennebula/usr/lib/one/ruby/cloud/econe/EC2QueryClient.rb
	chmod 755 debian/opennebula/usr/lib/one/ruby/cloud/occi/OCCIClient.rb
	#chmod 755 debian/opennebula/usr/lib/one/remotes/im/common.d/ssh_pubkey.sh
endif
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-node/etc/sudoers.d/opennebula-node
endif

get-orig-source:
	uscan --force-download --no-symlink
